<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:fresco="http://schemas.android.com/tools"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/comment_item"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:paddingLeft="20dp"
    android:paddingRight="20dp"
    android:paddingBottom="12dp">

    <RelativeLayout
        android:id="@+id/user_icon_container"
        android:layout_width="35dp"
        android:layout_height="35dp"
        android:layout_marginTop="12dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/user_icon"
            style="@style/frescoCircleStyle"
            android:layout_width="35dp"
            android:layout_height="35dp"
            fresco:roundAsCircle="true" />

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/user_badge"
            android:layout_width="11dp"
            android:layout_height="11dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true" />

    </RelativeLayout>

    <TextView
        android:id="@+id/user_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginLeft="12dp"
        android:singleLine="true"
        android:textColor="@color/text_black"
        android:textSize="12sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@+id/rating_start"
        app:layout_constraintLeft_toRightOf="@+id/user_icon_container"
        app:layout_constraintTop_toTopOf="@+id/user_icon_container"
        tools:text="用户名" />

    <com.gh.gamecenter.common.view.materialratingbar.MaterialRatingBar
        android:id="@+id/rating_start"
        style="@style/Widget.MaterialRatingBar.RatingBar"
        android:layout_width="wrap_content"
        android:layout_height="10dp"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="2dp"
        android:isIndicator="true"
        android:minWidth="14dp"
        android:minHeight="14dp"
        android:numStars="5"
        app:layout_constraintBottom_toBottomOf="@+id/user_icon_container"
        app:layout_constraintLeft_toRightOf="@+id/user_icon_container"
        app:layout_constraintTop_toBottomOf="@+id/user_name"
        app:mrb_progressTint="@color/primary_theme" />


    <TextView
        android:id="@+id/time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:gravity="center"
        android:textColor="@color/hint"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@+id/user_icon_container"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <com.gh.gamecenter.common.view.ExpandTextView
        android:id="@+id/content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="9dp"
        android:includeFontPadding="false"
        android:maxLines="4"
        android:lineSpacingExtra="4dp"
        android:textColor="@color/text_primary"
        android:textSize="13sp"
        app:layout_constraintTop_toBottomOf="@+id/user_icon_container"
        tools:text="每个评论的正文，最多显示4行，超过则使用省略号…全部，点击[全部]即可展开余下全文" />

</androidx.constraintlayout.widget.ConstraintLayout>
